PULSAR

Create Work

Create work.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

The create work params.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/work

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/work" \  -H "Content-Type: application/json" \  -d '{    "start": "2019-08-24T14:15:22Z",    "machineId": 0.1  }'
{  "id": "52907745-7672-470e-a803-a2f8feb52944",  "deletedAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "source": "string",  "defects": 0.1,  "produced": 0.1,  "idealSpeedByHour": 0.1,  "quantityC": 0.1,  "quantityB": 0.1,  "quantityA": 0.1,  "targetQuantity": 0.1,  "status": "string",  "unit": "string",  "skuId": "string",  "work": "string",  "team": "string",  "operatorId": 0.1,  "end": "2019-08-24T14:15:22Z",  "start": "2019-08-24T14:15:22Z",  "machineId": 0.1,  "companyId": 0.1}